;CompuServe Direct Login Script Include File.
;***********************************************************************
;*                                                                     *
;* CISCONN.INC                                                         *
;* Copyright (c) 1993-1995 Datastorm Technologies, Inc.                *
;* All Rights Reserved                                                 *
;*                                                                     *
;* Requires: PROCOMM PLUS for Windows 2.0                              *
;*                                                                     *
;* Script to make the actual connection to CIS.  It expects to find    *
;* a "CompuServe" entry in the dialing directory.  If called from      *
;* CISMGR S7 will contain the User Id and S8 will contain the Password.*
;* If login is successful I9 will be set to TRUE (1) otherwise I9 is   *
;* set to FALSE (0).  If S7 and S8 are not used then the User Id and   *
;* Password fields of the Dialing Directory are used.                  *
;*                                                                     *
;***********************************************************************
;*                                                                     *
;* On start-up, this script expects to find the following:             *
;*          S7 = User Account Number                                   *
;*          S8 = User Password                                         *
;* On exit, this script will set $EXITCODE to one of the following	  *
;*   values:                                                           *
;*     0   - everything went OK                                        *
;*     1   - carrier was dropped, no login                             *
;*     2   - bad login attempt (wrong Id or Password), no login        *
;*                                                                     *
;*                                                                     *
;***********************************************************************
;***********************************************************************
;*                                                                     *
;*   GLOBAL VARIABLES                                                  *
;*                                                                     *
;***********************************************************************
func DoConnect : integer
param string sUserId
param string sPassword
integer iReturnCode = 0
string Tempstr

	strfmt Tempstr "User Id = '%s'" sUserId
	strfmt Tempstr "Password = '%s'" sPassword

   watchforflag = 0
   
   when target 1 "UIC:"			call UIC_Found        ; Set watches for logon
   when target 2 "Name:"		call Name_Found
   when target 3 "User ID:"	call UserId_Found
   
   SendText("~^C~")                                   ; Alert CServe
   
   while ! watchforflag                               ; Wait for one of the key strings
      if ! $carrier
         when target 1 clear
         when target 2 clear
         when target 3 clear
         return 1													; exit with an exit code of 1 (carrier was dropped)
      endif
   endwhile
   
   when target 1 clear                                ; Clear the when's after key received
   when target 2 clear
   when target 3 clear
   when target 3 "?? LOGINE - Invalid entry" call InvalidPass
   
   switch watchforflag
      case 1                                          ; CServe wants 'UIC"
         SendText("~^C~")                             ; Give it to them and proceed
         waitfor "Name:" 45
      case 2                                          ; CServe wants "Host Name:"
         SendText("CIS~^M")                           ; Give it to them and proceed
         waitfor " ID:" 45
      case 3                                          ; CServe wants "User ID:"
         SendText(sUserId)                                 ; Give it to them and proceed
         SendReturn()
         waitfor "Password:" 45
      endcase
   endswitch
   
   SendText(sPassword)                                       ; transmit password
   SendReturn()
   waitfor "!" 10                                     ; wait 10 seconds, or until prompt received
   when target 3 clear
   
   return 0															; exit with an exit code of 0 (everything is OK)

endfunc ; DoConnect


;************************************************************************************
;* proc UIC_FOUND
;*
;* Called after a WHEN has fired on "UIC:".   Sets global watchforflag to 1 for a
;* subsequent switch/if statement.
;************************************************************************************
proc UIC_Found
	watchforflag = 1
endproc


;************************************************************************************
;* proc NAME_FOUND
;*
;* Called after a WHEN has fired on "Name:".   Sets global watchforflag to 3 for a
;* subsequent switch/if statement.
;************************************************************************************
proc Name_Found
	watchforflag = 2
endproc


;************************************************************************************
;* proc USERID_FOUND
;*
;* Called after a WHEN has fired on "User Id:".   Sets global watchforflag to 2 for a
;* subsequent switch/if statement.
;************************************************************************************
proc UserId_Found
	watchforflag = 3
endproc


;************************************************************************************
;* proc SENDRETURN
;*
;* Called to transmit a single Carriage return, makes sure transmit buffer has room.
;************************************************************************************
proc SendReturn
   while not transmit "~^M"
   endwhile
endproc

;*************************************************************************
;* SEND TEXT
;*
;* Procedure to transmit parameter textstring, trapped after a WHILE
;* loop to prevent port overrun on fast machines with slow connections.
;*************************************************************************
proc SendText
param string textstring
   if nullstr textstring
      return
   endif
   while not transmit textstring                      ; Loop until transmitted
   endwhile
endproc



;***********************************************************************
;* INVALID PASS
;*
;* Simple procedure to exit with an exitcode of 1 because of a bad logon.
;* Id or Password is incorrect.
;***********************************************************************
proc InvalidPass
   exit 2															; exit with an exit code of 2 (bad logon)
endproc

