;Definitions of PW menu IDs
;**********************************************************************
;* MENUIDS.INC
;* Copyright (c) 1994 Datastorm Technologies, Inc.
;*
;* Definitions of PW popup menu and menu item identification values.
;* Use these macro definitions in your ASPECT script files rather than
;* hard-coded constants to improve maintainability and readability.
;**********************************************************************

;**********************************************************************
;* PW popup menu IDs
;**********************************************************************

#define PW_FILE        0
#define PW_EDIT        1
#define PW_SETUP       2
#define PW_ONLINE      3
#define PW_FAX         4
#define PW_SCRIPTS     5
#define PW_TOOLS       6
#define PW_HELP        7

;**********************************************************************
;* PW menu item IDs organized by their corresponding popup menu
;**********************************************************************

; File menu
#define _NEW           200
#define _OPEN          201
#define _VIEWDIAL      202
#define _PRINT_SETUP   203
#define _PRINT_CAPT    204
#define _PLAYBACK      205
#define _CONNECT_LOG   206
#define _EXIT          207

; Edit menu
#define _COPY_LINK     208
#define _PASTE         209
#define _SEARCH        210
#define _SCRN_TO_CLP   211
#define _SCRN_TO_LOG   212
#define _SCRN_TO_FIL   213
#define _SCRN_TO_PR    214
#define _SCRN_TO_BUF   215
#define _SCRN_TO_ML    216
#define _BUFF_TO_CLP   217
#define _BUFF_TO_LOG   218
#define _BUFF_TO_FIL   219
#define _BUFF_TO_PR    220
#define _BUFF_TO_ML    221
#define _SCROLLBACK    222

; Setup menu
#define _SETUP         223
#define _OPT_GEN       224
#define _OPT_ADV       225
#define _OPT_PATH      226
#define _OPT_SOUND     227
#define _OPT_LMOUSE    228
#define _OPT_RMOUSE    229
#define _MODEM_CONN    230
#define _MODEM_STR     231
#define _CONNECT_STR   232
#define _NONCONN_STR   233
#define _DIST_RING     234
#define _CALLER_ID     235
#define _PORT          236
#define _PROTOCOL      237
#define _TERMINAL      238
#define _FONT          239
#define _TERM_COLOR    240
#define _WCOLOR1       241
#define _WCOLOR2       242
#define _WCOLOR3       243
#define _WCOLOR4       244
#define _PHNCARD       245
#define _FILES         246
#define _ANSWER_OPT    247
#define _FAX_USER      248
#define _FAX_SEND_OP   249
#define _FAX_RCV_OPT   250
#define _FAX_CONNECT   251
#define _FAX_PATH      252
#define _LOAD_ABAR     253
#define _ICOLABELS     254
#define _METAKEYS      255
#define _QUICKBAR      256
#define _STATUSLINE    257
#define _ANSWER_OFF    258
#define _ANSWER_DATA   259
#define _ANSWER_FAX    260
#define _ANSW_FAXDAT   261
#define _ANSWER_DIST   262
#define _SPEAKER_OFF   263
#define _SPEAKER_LOW   264
#define _SPEAKER_MID   265
#define _SPEAKER_HI    266

; Online menu
#define _FILE_SEND     267
#define _FILE_RCV      268
#define _KERMIT_GET    269
#define _KERMIT_SEND   270
#define _KERMIT_FIN    271
#define _KERMIT_LOG    272
#define _FILE_CAPT     273
#define _FILECLIP      274
#define _DOORWAY       275
#define _SEND_PASS     276
#define _SEND_USERID   277
#define _SEND_MISC     278
#define _CHAT          279
#define _MONITOR       280
#define _HANGUP        281
#define _BREAK         282
#define _SENDXON       283
#define _MODEM_INIT    284
#define _TERM_CLEAR    285
#define _TERM_RESET    286

; Fax menu
#define _SND_MEMOFAX   287
#define _SEND_FAX      288
#define _ANSWERNOW     289
#define _FAX_ABORT     290
#define _HOLD_FAXES    291
#define _INIT_FAXMDM   292
#define _VIEW_RCV      293
#define _VIEW_SCHED    294
#define _FAX_CON_LOG   295
#define _DRV_DEFAULT   296
#define _POLL_LIST     297

; Scripts menu
#define _SCRIPTSTART   298
#define _SCRIPT_RUN    299
#define _SCRIPT_EDIT   300
#define _SCRIPT_REC    301

; Tools menu
#define _GIF           302
#define _SCHEDULER     303
#define _ABAREDIT      304
#define _FAXCOVER      305
#define _FAXVIEWER     306
#define _PWEDIT        307
#define _DLGEDIT       308
#define _USERWIN       309
#define _META          310
#define _KEYBOARD      311
#define _TRANSLATE     312
#define _FTP           313

; Help menu
#define _HELPCONTENT   314
#define _HELPSEARCH    315
#define _HELPKBD       316
#define _SCRIPTREF     317
#define _SCRIPTTOPIC   318
#define _HELPHELP      319
#define _ABOUT         320

;**********************************************************************
;* Miscellaneous PW menu definitions
;**********************************************************************

#define PWMINMENUID    200
#define PWMAXMENUID    320
#define PWTOTMENUIDS   (PWMAXMENUID - PWMMINMENUID + 1)
