;Definitions of standard virtual key code values
;**********************************************************************
;* VKEYS.INC
;* Copyright (c) 1994 Datastorm Technologies, Inc.
;*
;* Definitions of standard virtual key code values.  Use these macro
;* definitions in your ASPECT script files rather than hard-coded
;* constants to improve maintainability and readability.  For more
;* information, see the keyval and vkey conventions described in the
;* Windows ASPECT Script Language reference manual.
;**********************************************************************

;**********************************************************************
;* Macro definitions of standard virtual key code values
;**********************************************************************

#define VK_LBUTTON     0x01            ; Left mouse button
#define VK_RBUTTON     0x02            ; Right mouse button
#define VK_CANCEL      0x03            ; Ctrl-Break
#define VK_MBUTTON     0x04            ; Middle mouse button
                                       ; 0x05-0x07, Undefined
#define VK_BACK        0x08            ; Backspace key
#define VK_TAB         0x09            ; Tab key
;                      0x0A-0x0B       ; Undefined
#define VK_CLEAR       0x0C            ; Clear key or Keypad 5 with Num lock off
#define VK_RETURN      0x0D            ; Enter or Return key
#define VK_SHIFT       0x10            ; Shift key
#define VK_CONTROL     0x11            ; Control or Ctrl key
#define VK_MENU        0x12            ; Menu or Alt key
#define VK_PAUSE       0x13            ; Pause key
#define VK_CAPITAL     0x14            ; Capital or Caps Lock key
;                      0x15-0x19       ; Reserved for Kanji Systems
;                      0x1A            ; Undefined
#define VK_ESCAPE      0x1B            ; Esc or Escape key
;                      0x1C-0x1F       ; Reserved for Kanji Systems
#define VK_SPACE       0x20            ; Spacebar
#define VK_PRIOR       0x21            ; Page Up key
#define VK_NEXT        0x22            ; Page Down key
#define VK_END         0x23            ; End key
#define VK_HOME        0x24            ; Home key
#define VK_LEFT        0x25            ; Left arrow key
#define VK_UP          0x26            ; Up Arrow key
#define VK_RIGHT       0x27            ; Right Arrow key
#define VK_DOWN        0x28            ; Down Arrow key
#define VK_SELECT      0x29            ; Select key
#define VK_PRINT       0x2A            ; Keyboard specific
#define VK_EXECUTE     0x2B            ; Execute key
#define VK_SNAPSHOT    0x2C            ; Print Screen key
#define VK_INSERT      0x2D            ; Insert key
#define VK_DELETE      0x2E            ; Delete key
#define VK_HELP        0x2F            ; Help key
#define VK_0           0x30            ; 0 key
#define VK_1           0x31            ; 1 key
#define VK_2           0x32            ; 2 key
#define VK_3           0x33            ; 3 key
#define VK_4           0x34            ; 4 key
#define VK_5           0x35            ; 5 key
#define VK_6           0x36            ; 6 key
#define VK_7           0x37            ; 7 key
#define VK_8           0x38            ; 8 key
#define VK_9           0x39            ; 9 key
;                      0x3A-0x40       ; Undefined
#define VK_A           0x41            ; A key
#define VK_B           0x42            ; B key
#define VK_C           0x43            ; C key
#define VK_D           0x44            ; D key
#define VK_E           0x45            ; E key
#define VK_F           0x46            ; F key
#define VK_G           0x47            ; G key
#define VK_H           0x48            ; H key
#define VK_I           0x49            ; I key
#define VK_J           0x4A            ; J key
#define VK_K           0x4B            ; K key
#define VK_L           0x4C            ; L key
#define VK_M           0x4D            ; M key
#define VK_N           0x4E            ; N key
#define VK_O           0x4F            ; O key
#define VK_P           0x50            ; P key
#define VK_Q           0x51            ; Q key
#define VK_R           0x52            ; R key
#define VK_S           0x53            ; S key
#define VK_T           0x54            ; T key
#define VK_U           0x55            ; U key
#define VK_V           0x56            ; V key
#define VK_W           0x57            ; W key
#define VK_X           0x58            ; X key
#define VK_Y           0x59            ; Y key
#define VK_Z           0x5A            ; Z key
;                      0x5B-0x5F       ; Undefined
#define VK_NUMPAD0     0x60            ; Numeric Keypad 0
#define VK_NUMPAD1     0x61            ; Numeric Keypad 1
#define VK_NUMPAD2     0x62            ; Numeric Keypad 2
#define VK_NUMPAD3     0x63            ; Numeric Keypad 3
#define VK_NUMPAD4     0x64            ; Numeric Keypad 4
#define VK_NUMPAD5     0x65            ; Numeric Keypad 5
#define VK_NUMPAD6     0x66            ; Numeric Keypad 6
#define VK_NUMPAD7     0x67            ; Numeric Keypad 7
#define VK_NUMPAD8     0x68            ; Numeric Keypad 8
#define VK_NUMPAD9     0x69            ; Numeric Keypad 9
#define VK_MULTIPLY    0x6A            ; Multiply key
#define VK_ADD         0x6B            ; Add key
#define VK_SEPARATOR   0x6C            ; Separator key
#define VK_SUBTRACT    0x6D            ; Subtract key
#define VK_DECIMAL     0x6E            ; Decimal key
#define VK_DIVIDE      0x6F            ; Divide key
#define VK_F1          0x70            ; Function key F1
#define VK_F2          0x71            ; Function key F2
#define VK_F3          0x72            ; Function key F3
#define VK_F4          0x73            ; Function key F4
#define VK_F5          0x74            ; Function key F5
#define VK_F6          0x75            ; Function key F6
#define VK_F7          0x76            ; Function key F7
#define VK_F8          0x77            ; Function key F8
#define VK_F9          0x78            ; Function key F9
#define VK_F10         0x79            ; Function key F10
#define VK_F11         0x7A            ; Function key F11
#define VK_F12         0x7B            ; Function key F12
#define VK_F13         0x7C            ; Function key F13
#define VK_F14         0x7D            ; Function key F14
#define VK_F15         0x7E            ; Function key F15
#define VK_F16         0x7F            ; Function key F16
#define VK_F17         0x80            ; Function key F17
#define VK_F18         0x81            ; Function key F18
#define VK_F19         0x82            ; Function key F19
#define VK_F20         0x83            ; Function key F20
#define VK_F21         0x84            ; Function key F21
#define VK_F22         0x85            ; Function key F22
#define VK_F23         0x86            ; Function key F23
#define VK_F24         0x87            ; Function key F24
;                      0x88-0x8F       ; Unassigned
#define VK_NUMLOCK     0x90            ; Num Lock key
#define VK_OEM_SCROLL  0x91            ; Scroll Lock key
;                      0x92-0xB9       ; Unassigned
;                      0xBA-0xC0       ; Keyboard specific
;                      0xC1-0xDA       ; Unassigned
;                      0xDB-0xE4       ; Keyboard specific
;                      0xE5            ; Unassigned
;                      0xE6            ; Keyboard specific
;                      0xE7-0xE8       ; Unassigned
;                      0xE9-0xF5       ; Keyboard specific
;                      0xF6-0xFE       ; Unassigned

;**********************************************************************
;* Useful macros for testing and forming key values from keyboard
;* shift states and virtual key code values.
;**********************************************************************

#define KV_SHIFT       0x01            ; Shift key pressed
#define KV_CTRL        0x02            ; Ctrl key pressed
#define KV_ALT         0x04            ; Alt key pressed
#define KV_EXT         0x08            ; extended key flag

#define MAKE_KV(skeys,vkey)  (((skeys) << 8) | (vkey))

#define KV_VKEY(keyval)      ((keyval) & 0xFF)
#define KV_SKEYS(keyval)     ((keyval) >> 8)

#define KV_SHIFTKEY(keyval)  (KV_SKEYS(keyval) & KV_SHIFT)
#define KV_CTRLKEY(keyval)   (KV_SKEYS(keyval) & KV_CTRL)
#define KV_ALTKEY(keyval)    (KV_SKEYS(keyval) & KV_ALT)
#define KV_EXTKEY(keyval)    (KV_SKEYS(keyval) & KV_EXT)
